"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PathFileUtil = exports.getFileContentSync = exports.isPathEqual = exports.isPath = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
function isPath(p) {
    // eslint-disable-next-line no-useless-escape
    if (/(^[\.\/])|:|\\/.test(p)) {
        return true;
    }
    return false;
}
exports.isPath = isPath;
function isPathEqual(one, two) {
    if (!one || !two) {
        return false;
    }
    const ext = (0, path_1.extname)(one);
    return one.replace(ext, '') === two;
}
exports.isPathEqual = isPathEqual;
function getFileContentSync(filePath, encoding) {
    return typeof filePath === 'string'
        ? (0, fs_1.readFileSync)(filePath, {
            encoding,
        })
        : filePath;
}
exports.getFileContentSync = getFileContentSync;
exports.PathFileUtil = {
    isPath,
    isPathEqual,
    getFileContentSync,
};
//# sourceMappingURL=pathFileUtil.js.map